kind: Pod
apiVersion: v1
metadata:
  generateName: windows-machine-config-operator-6b5bfc9bfb-
  annotations:
    olm.skipRange: '>=7.0.0 <8.1.2'
    openshift.io/scc: hostnetwork
    operators.openshift.io/valid-subscription: '["Red Hat OpenShift support for Windows Containers"]'
    operators.operatorframework.io/builder: operator-sdk-v1.15.0+git
    operators.operatorframework.io/project_layout: go.kubebuilder.io/v3
    certified: 'false'
    olm.targetNamespaces: openshift-windows-machine-config-operator
    operatorframework.io/properties: >-
      {"properties":[{"type":"olm.package","value":{"packageName":"windows-machine-config-operator","version":"8.1.2"}}]}
    repository: 'https://github.com/openshift/windows-machine-config-operator'
    support: Red Hat
    operatorframework.io/cluster-monitoring: 'true'
    alm-examples: '[]'
    capabilities: Seamless Upgrades
    olm.operatorNamespace: openshift-windows-machine-config-operator
    createdAt: '2024-02-07T19:04:52Z'
    categories: OpenShift Optional
    operatorframework.io/suggested-namespace: openshift-windows-machine-config-operator
    description: An operator that enables Windows container workloads on OCP
    olm.operatorGroup: openshift-windows-machine-config-operator-br9wp
  resourceVersion: '128173'
  name: windows-machine-config-operator-6b5bfc9bfb-plvd4
  uid: b825fac8-1098-401d-8529-e815e9b93537
  creationTimestamp: '2024-06-08T01:29:44Z'
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2024-06-08T01:29:44Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:olm.operatorNamespace': {}
            'f:createdAt': {}
            'f:alm-examples': {}
            'f:description': {}
            'f:olm.operatorGroup': {}
            'f:capabilities': {}
            'f:olm.skipRange': {}
            .: {}
            'f:operators.openshift.io/valid-subscription': {}
            'f:categories': {}
            'f:operatorframework.io/suggested-namespace': {}
            'f:operators.operatorframework.io/project_layout': {}
            'f:certified': {}
            'f:operatorframework.io/properties': {}
            'f:operators.operatorframework.io/builder': {}
            'f:support': {}
            'f:olm.targetNamespaces': {}
            'f:operatorframework.io/cluster-monitoring': {}
            'f:repository': {}
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:name': {}
            'f:pod-template-hash': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"9f415e84-400e-4d6a-be1f-e252bddfba66"}': {}
        'f:spec':
          'f:containers':
            'k:{"name":"manager"}':
              'f:image': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources': {}
              'f:command': {}
              'f:env':
                .: {}
                'k:{"name":"OPERATOR_CONDITION_NAME"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"OPERATOR_NAME"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"POD_NAME"}':
                  .: {}
                  'f:name': {}
                  'f:valueFrom':
                    .: {}
                    'f:fieldRef': {}
                'k:{"name":"WATCH_NAMESPACE"}':
                  .: {}
                  'f:name': {}
                  'f:valueFrom':
                    .: {}
                    'f:fieldRef': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:tolerations': {}
          'f:priorityClassName': {}
          'f:serviceAccount': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:hostNetwork': {}
          'f:nodeSelector': {}
          'f:terminationGracePeriodSeconds': {}
          'f:serviceAccountName': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2024-06-08T01:29:59Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:phase': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"192.168.222.246"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
      subresource: status
  namespace: openshift-windows-machine-config-operator
  ownerReferences:
    - apiVersion: apps/v1
      kind: ReplicaSet
      name: windows-machine-config-operator-6b5bfc9bfb
      uid: 9f415e84-400e-4d6a-be1f-e252bddfba66
      controller: true
      blockOwnerDeletion: true
  labels:
    name: windows-machine-config-operator
    pod-template-hash: 6b5bfc9bfb
spec:
  nodeSelector:
    node-role.kubernetes.io/master: ''
  restartPolicy: Always
  serviceAccountName: windows-machine-config-operator
  imagePullSecrets:
    - name: windows-machine-config-operator-dockercfg-x2shn
  priority: 2000000000
  schedulerName: default-scheduler
  hostNetwork: true
  enableServiceLinks: true
  terminationGracePeriodSeconds: 10
  preemptionPolicy: PreemptLowerPriority
  nodeName: jvaldes-gzbhw-master-0
  securityContext:
    seLinuxOptions:
      level: 's0:c26,c10'
    supplementalGroups:
      - 1000670000
    fsGroup: 1000670000
  containers:
    - resources: {}
      terminationMessagePath: /dev/termination-log
      name: manager
      command:
        - windows-machine-config-operator
      env:
        - name: WATCH_NAMESPACE
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: 'metadata.annotations[''olm.targetNamespaces'']'
        - name: POD_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.name
        - name: OPERATOR_NAME
          value: windows-machine-config-operator
        - name: OPERATOR_CONDITION_NAME
          value: windows-machine-config-operator.v8.1.2
      securityContext:
        capabilities:
          drop:
            - KILL
            - MKNOD
            - SETGID
            - SETUID
        runAsUser: 1000670000
        runAsNonRoot: true
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: kube-api-access-h6t27
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: >-
        registry.redhat.io/openshift4-wincw/windows-machine-config-rhel9-operator@sha256:a0d31bc713d6afc3e92ac4f4ce16b27c4a38357b32fa84bb577c7c9fde64043a
  serviceAccount: windows-machine-config-operator
  volumes:
    - name: kube-api-access-h6t27
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node-role.kubernetes.io/master
      operator: Exists
      effect: NoSchedule
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 120
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 120
  priorityClassName: system-cluster-critical
status:
  phase: Running
  conditions:
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2024-06-08T01:29:44Z'
    - type: Ready
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2024-06-08T01:29:59Z'
    - type: ContainersReady
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2024-06-08T01:29:59Z'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2024-06-08T01:29:44Z'
  hostIP: 192.168.222.246
  podIP: 192.168.222.246
  podIPs:
    - ip: 192.168.222.246
  startTime: '2024-06-08T01:29:44Z'
  containerStatuses:
    - restartCount: 0
      started: true
      ready: true
      name: manager
      state:
        running:
          startedAt: '2024-06-08T01:29:59Z'
      imageID: >-
        registry.redhat.io/openshift4-wincw/windows-machine-config-rhel9-operator@sha256:a0d31bc713d6afc3e92ac4f4ce16b27c4a38357b32fa84bb577c7c9fde64043a
      image: >-
        registry.redhat.io/openshift4-wincw/windows-machine-config-rhel9-operator@sha256:a0d31bc713d6afc3e92ac4f4ce16b27c4a38357b32fa84bb577c7c9fde64043a
      lastState: {}
      containerID: 'cri-o://82682b49e763165d84a7012972de5a7ab3c5357607d7258d0dc079ba66f8aa86'
  qosClass: BestEffort
